Package org.pgpainless.encryption_signing

# Class EncryptionResult.Builder

java.lang.Object
org.pgpainless.encryption_signing.EncryptionResult.Builder

Enclosing class:
  `EncryptionResult`

public static class EncryptionResult.Builder extends Object

## Constructor Summary

Constructors
Constructor
Description
`Builder()`

## Method Summary

Modifier and Type
Method
Description
`EncryptionResult.Builder`
`addDetachedSignature(SubkeyIdentifier signingSubkeyIdentifier, org.bouncycastle.openpgp.PGPSignature detachedSignature)`
`EncryptionResult.Builder`
`addRecipient(SubkeyIdentifier recipient)`
`EncryptionResult`
`build()`
`EncryptionResult.Builder`
`setCompressionAlgorithm(CompressionAlgorithm compressionAlgorithm)`
`EncryptionResult.Builder`
`setEncryptionAlgorithm(SymmetricKeyAlgorithm encryptionAlgorithm)`
`EncryptionResult.Builder`
`setFileEncoding(StreamEncoding fileEncoding)`
`EncryptionResult.Builder`
`setFileName(String fileName)`
`EncryptionResult.Builder`
`setModificationDate(Date modificationDate)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()

## Method Details

### setEncryptionAlgorithm

public EncryptionResult.Builder setEncryptionAlgorithm(SymmetricKeyAlgorithm encryptionAlgorithm)

### setCompressionAlgorithm

public EncryptionResult.Builder setCompressionAlgorithm(CompressionAlgorithm compressionAlgorithm)

### addRecipient

public EncryptionResult.Builder addRecipient(SubkeyIdentifier recipient)

### addDetachedSignature

public EncryptionResult.Builder addDetachedSignature(SubkeyIdentifier signingSubkeyIdentifier, org.bouncycastle.openpgp.PGPSignature detachedSignature)

### setFileName

public EncryptionResult.Builder setFileName(@Nonnull String fileName)

### setModificationDate

public EncryptionResult.Builder setModificationDate(@Nonnull Date modificationDate)

### setFileEncoding

public EncryptionResult.Builder setFileEncoding(StreamEncoding fileEncoding)

### build

public EncryptionResult build()